#pragma once

#include <list>

using namespace std;

struct READERINFO{
	double x;
	double y;
	double dist;
};

class CCard
{
public:
	CCard(void);
	virtual ~CCard(void);

	LONG64 CardId;
	int CardType;

	LONG64 lTime;
	int Power;
	int RangingType;
	int Acceleration;
	double Distance;
	WORD Timestamp;

	WORD ReaderId;
	WORD ReaderTimestamp;
	int Antenna;

	CString strRecTime; // ½ΣΚΥΚ±Όδ
	int X;
	int Y;
	int lastX;
	int lastY;

	STAFFER * pStaffer;
	VEHICLE * pVehicle;

public:
	void getCordinate();
};

